## gosmore 0.0.0.20070901

=== Makefile ===
TODAY := `exec date +%Y%m%d`
VERSION = 0.0.0.$(TODAY)

DESTDIR=
prefix = /usr/local
bindir = $(prefix)/bin

USE_FLITE=-DUSE_FLITE -lflite_cmu_us_kal16 -lflite_usenglish -lflite_cmulex \
  -lflite
CFLAGS=-O2
WARNFLAGS= -W -Wall

# enable this to test the experimental route support
#CFLAGS += -DROUTE_TEST

ifneq (${OS},Windows_NT)
EXTRA=`pkg-config --cflags --libs gtk+-2.0`
else
EXTRA=-mms-bitfields -mno-cygwin -I/usr/include/mingw/gtk-2.0 \
  -I/usr/include/mingw/cairo     -I/usr/include/mingw/glib-2.0 \
  -I/usr/include/mingw/pango-1.0 -I/usr/include/mingw/atk-1.0 \
  -I/usr/lib/glib-2.0/include    -I/usr/lib/gtk-2.0/include \
  -lgtk-win32-2.0 -lgdk-win32-2.0 -lglib-2.0 -lgobject-2.0
endif

all: gosmore

gosmore:	gosmore.cc
		g++ ${CFLAGS} ${WARNFLAGS} \
                 `[ -e /usr/include/gps.h ] && echo -DUSE_GPSD -lgps` \
                 `[ -d /usr/include/flite ] && echo ${USE_FLITE}` \
                  gosmore.cc -o gosmore ${EXTRA}

commit:		gosmore
		tar cf - Makefile gosmore.cc | ssh \
		  sabiepark@www.rational.co.za 'cd www; tar xvf -'

CountColours:	CountColours.c
		gcc `pkg-config --cflags --libs gtk+-2.0` CountColours.c -o CountColours

install: gosmore
	mkdir -p $(DESTDIR)$(bindir)
	cp gosmore $(DESTDIR)$(bindir)/.

dist:
	mkdir gosmore-$(VERSION)
	cp gosmore.cc Makefile  README gosmore-$(VERSION)
	tar zcf gosmore-$(VERSION).tar.gz gosmore-$(VERSION)
	rm -rf gosmore-$(VERSION)

clean:
	$(RM) gosmore

## gosmore 0.0.0.20080704

=== Makefile ===
# Written by Nic Roets with contributions by Petter Reinholdtsen
# Placed in the public domain
# Don't run mkicons.sh until my patched pnmmontage is part of debian-netpbm

TODAY := `exec date +%Y%m%d`
VERSION = 0.0.0.$(TODAY)

DESTDIR=
prefix = /usr/local
bindir = $(prefix)/bin

USE_FLITE=-DUSE_FLITE -lflite_cmu_us_kal16 -lflite_usenglish -lflite_cmulex \
  -lflite
CFLAGS=-O2
WARNFLAGS= -W -Wall

# enable this to test the experimental route support
#CFLAGS += -DROUTE_TEST

ifneq (${OS},Windows_NT)
EXTRA=`pkg-config --cflags --libs gtk+-2.0 || echo -D HEADLESS`
XMLFLAGS=`pkg-config --cflags libxml-2.0 || echo -I /usr/include/libxml2` \
  `pkg-config --libs libxml-2.0 || echo -l xml2 -lz -lm`
else
EXTRA=-mms-bitfields -mno-cygwin -I/usr/include/mingw/gtk-2.0 \
  -I/usr/include/mingw/cairo     -I/usr/include/mingw/glib-2.0 \
  -I/usr/include/mingw/pango-1.0 -I/usr/include/mingw/atk-1.0 \
  -I/usr/lib/glib-2.0/include    -I/usr/lib/gtk-2.0/include \
  -lgtk-win32-2.0 -lgdk-win32-2.0 -lglib-2.0 -lgobject-2.0 -lcairo
endif

all: gosmore

gosmore:	gosmore.cpp
		g++ ${CFLAGS} ${WARNFLAGS} ${XMLFLAGS} \
                 `[ -d /usr/include/flite ] && echo ${USE_FLITE}` \
                  gosmore.cpp -o gosmore ${EXTRA}

#elemstyles.xml:
#		wget http://josm.openstreetmap.de/svn/trunk/styles/standard/elemstyles.xml

zip:
	rm -f gosmore.zip
	zip -j gosmore.zip gosmore.exe icons.xpm /bin/libcairo-2.dll \
	/bin/libgtk-win32-2.0-0.dll /bin/libgdk* /bin/libglib-2.0-0.dll \
	/bin/libgobject-2.0-0.dll /bin/libatk-1.0-0.dll /bin/libpango* \
	/bin/libpng13.dll /bin/libgmodule-2.0-0.dll
	zip gosmore.zip /etc/gtk-2.0/*
	scp gosmore.zip ARMV4Rel/gosm_arm.exe \
	  sabiepark@www.rational.co.za:www/gosmore/

commit:		clean
		rm -f *~; cd ..; tar czf - gosmore | ssh \
		  sabiepark@www.rational.co.za 'cd www/gosmore; \
		  cat >gosmore-`exec date +%Y%m%d`.tar.gz'

install: gosmore
	mkdir -p $(DESTDIR)$(bindir)
	cp gosmore $(DESTDIR)$(bindir)/.

dist:
	mkdir gosmore-$(VERSION)
	cp gosmore.cc Makefile  README gosmore-$(VERSION)
	tar zcf gosmore-$(VERSION).tar.gz gosmore-$(VERSION)
	rm -rf gosmore-$(VERSION)

clean:
	$(RM) gosmore gosmore.pak *.tmp *~ gosmore.zip

## gosmore 0.0.0.20090624

=== Makefile ===
# Written by Nic Roets with contributions by Petter Reinholdtsen
# Placed in the public domain

TODAY := `exec date +%Y%m%d`
VERSION = 0.0.0.$(TODAY)

DESTDIR=
prefix = /usr/local
bindir = $(prefix)/bin

CFLAGS=-O2 -DRES_DIR=\"$(prefix)/share/gosmore/\"
WARNFLAGS= -W -Wall

#------------------------ Compiling with cegcc : ---------------------------
# tar xzf -C / cygwin-cegcc-mingw32ce-0.51.0-1.tar.gz
# export PATH="$PATH":/opt/mingw32ce/bin/
ARCH=		arm-wince-mingw32ce
WINDRES=	${ARCH}-windres

# enable this to test the experimental route support
#CFLAGS += -DROUTE_TEST

# enable this to force gosmore into headless mode (gosmore will also
# be put in headless mode if gtk+-2.0 isn't available)
#CFLAGS += -DHEADLESS

ifneq (${OS},Windows_NT)
EXTRA=`pkg-config --cflags --libs gtk+-2.0 || echo -D HEADLESS`
XMLFLAGS=`pkg-config --cflags libxml-2.0 || echo -I /usr/include/libxml2` \
  `pkg-config --libs libxml-2.0 || echo -l xml2 -lz -lm`
else
# To compile with mingw, install MSYS and mingw, and then download
# the "all-in-one bundle" from http://www.gtk.org/download-windows.html
# and unzip it to C:\msys\1.0.
EXTRA=-mms-bitfields -mno-cygwin `pkg-config --cflags --libs gtk+-2.0`
endif

all: gosmore

gosmore:	gosmore.cpp libgosm.cpp libgosm.h
		g++ ${CFLAGS} ${WARNFLAGS} ${XMLFLAGS} \
                  gosmore.cpp libgosm.cpp -o gosmore ${EXTRA}

gosm_arm.exe:	gosmore.cpp libgosm.cpp gosmore.rsc resource.h translations.c \
                    libgosm.h ceglue.h ceglue.c 
		${ARCH}-g++ ${CFLAGS} -c gosmore.cpp
		${ARCH}-g++ ${CFLAGS} -c libgosm.cpp
		${ARCH}-gcc ${CFLAGS} -c ConvertUTF.c
		${ARCH}-gcc ${CFLAGS} -c ceglue.c
		${ARCH}-gcc ${CFLAGS} -o $@ \
		  gosmore.o libgosm.o ceglue.o ConvertUTF.o gosmore.rsc

gosmore.rsc:	gosmore.rc icons.bmp icons-mask.bmp gosmore.ico
		${WINDRES} $< $@

WIKIPAGE=http://wiki.openstreetmap.org/index.php/Special:Export/Gosmore
translations.c: extract
		wget -O - ${WIKIPAGE}/Translations |./extract >translations.c

extract:	extract.c
		${CC} ${CFLAGS} ${XMLFLAGS} extract.c -o extract

osmunda:	osmunda.cpp libgosm.cpp libgosm.h
		g++ ${CFLAGS} ${WARNFLAGS} ${XMLFLAGS} \
		  osmunda.cpp libgosm.cpp -o osmunda
voices:
		echo '(voice_rab_diphone)' >/tmp/voice_rab_diphone
		echo 'At the junction, turn left.' | festival_client \
		  --prolog /tmp/voice_rab_diphone --output turnleft.wav --ttw
		echo 'At the junction, turn right.' | festival_client \
		  --prolog /tmp/voice_rab_diphone --output turnright.wav --ttw
		echo 'Keep left.' | festival_client \
		  --prolog /tmp/voice_rab_diphone --output keepleft.wav --ttw
		echo 'Keep right.' | festival_client \
		  --prolog /tmp/voice_rab_diphone --output keepright.wav --ttw
		echo 'If possible make a U turn.' | festival_client \
		  --prolog /tmp/voice_rab_diphone --output uturn.wav --ttw
		echo 'You have reached your destination.' | festival_client \
		  --prolog /tmp/voice_rab_diphone --output stop.wav --ttw
		echo 'At the roundabout take the first exit.' | \
  festival_client --prolog /tmp/voice_rab_diphone --output round1.wav --ttw
		echo 'At the roundabout take the second exit.' | \
  festival_client --prolog /tmp/voice_rab_diphone --output round2.wav --ttw
		echo 'At the roundabout take the third exit.' | \
  festival_client --prolog /tmp/voice_rab_diphone --output round3.wav --ttw
		echo 'At the roundabout take the fourth exit.' | \
  festival_client --prolog /tmp/voice_rab_diphone --output round4.wav --ttw
		echo 'At the roundabout take the fifth exit.' | \
  festival_client --prolog /tmp/voice_rab_diphone --output round5.wav --ttw
		echo 'At the roundabout take the sixth exit.' | \
  festival_client --prolog /tmp/voice_rab_diphone --output round6.wav --ttw
		echo 'At the roundabout take the seventh exit.' | \
  festival_client --prolog /tmp/voice_rab_diphone --output round7.wav --ttw
		echo 'At the roundabout take the eight exit.' | \
  festival_client --prolog /tmp/voice_rab_diphone --output round8.wav --ttw

#elemstyles.xml:
#		wget http://josm.openstreetmap.de/svn/trunk/styles/standard/elemstyles.xml

zip:
	(cd /msys; zip - etc/gtk-2.0/* lib/gtk-2.0/2.10.0/loaders/*) >gosmore.zip
	zip -j gosmore.zip gosmore.exe icons.xpm /msys/bin/libcairo-2.dll \
	/msys/bin/lib*.dll /msys/bin/intl*.dll /msys/bin/zlib*.dll
	zip -j gosm_arm.zip ARMV4Rel/gosm_arm.exe *.wav
	# scp -P 100 gosm_arm.zip gosmore.zip \
	#  nroets@nroets.openhost.dk:nroets.openhost.dk/htdocs/
	  
install: gosmore
	mkdir -p $(DESTDIR)$(bindir)
	cp gosmore $(DESTDIR)$(bindir)/.
	mkdir -p $(DESTDIR)$(prefix)/share/gosmore
	cp -a elemstyles.xml icons.csv icons.xpm $(DESTDIR)$(prefix)/share/gosmore

dist:
	mkdir gosmore-$(VERSION)
	cp gosmore.cpp Makefile elemstyles.xml icons.csv icons.xpm  README \
	  gosmore-$(VERSION)
	tar zcf gosmore-$(VERSION).tar.gz gosmore-$(VERSION)
	rm -rf gosmore-$(VERSION)

clean:
	$(RM) gosmore *.tmp *~ gosmore.zip gosmore.exe \
	  gosmore.aps gosmore.vcl gosmore.vcw extract *.o gosm_arm.exe

## gosmore 0.0.0.20100711

=== debian/changelog ===
gosmore (0.0.0.20100711-2.1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/linker_flags.diff: Reordered linker parameters
      to avoid problem with GCC-4.6. (Closes: #631251)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 16 Feb 2014 22:48:09 +0100

gosmore (0.0.0.20100711-2.1) unstable; urgency=low

  * Non-Maintainer Upload to fix RC bug
  * Applied patch from Ubuntu (LP: #937088), restricting compiler
    optimization with -fno-strict-overflow to fix starting with an endless loop.
    (closes: #652084)

 -- Kai Lüke <kailueke@riseup.net>  Fri, 14 Sep 2012 16:29:04 +0200

gosmore (0.0.0.20100711-2ubuntu2) quantal; urgency=low

  * set -fno-strict-overflow to prevent busy loop on startup (LP: #937088)

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 30 Jun 2012 20:17:48 +0200

gosmore (0.0.0.20100711-2ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Add linker_flags.diff: Reordered linker parameters to avoid problem
      with GCC-4.6

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 07 Dec 2011 20:08:42 +0100

gosmore (0.0.0.20100711-2) unstable; urgency=low

  * Moved repository to git.
  * Changed Vcs-* fields in debian/control.
  * Source format moved to 3.0 and quilt support.
  * Added a patch to remove curl/types.h inclusion.
    (closes: #637704)
  * Policy bumped to 3.9.2. No changes.
  * Debhelper level set to 8.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 03 Nov 2011 16:01:09 +0100

gosmore (0.0.0.20100711-1ubuntu1) oneiric; urgency=low

  * Makefile.in: Reordered linker parameters to avoid problem with 
    GCC-4.6 (LP: #770751)

 -- Sebastian Carneiro <scarneiro@fibertel.com.ar>  Sun, 10 Jul 2011 18:17:12 +0200

gosmore (0.0.0.20100711-1) unstable; urgency=low

  * New upstream snapshot fetched for svn, revision: 22284
    This version introduces changes for compatibility with recent gpsd
    versions and protocols. Thanks Bernd Zeimetz.
  * Policy bumped to 3.9.0. No changes.
  * Now build system uses autoconf.
  * Added new libcurl4-gnutls-dev build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 12 Jul 2010 11:24:32 +0200

gosmore (0.0.0.20090624-1) unstable; urgency=low

  * New upstream snapshot fetched from svn, revision 16088. (Closes: #533372)
  * debian/rules get-orig-source:
    - Remove debian/ dir.
    - Ignore externals in svn export command.
  * Removed 10-findresources.dpatch, applied upstream.
  * Mentioned ConvertUTF.c, elemstyles.xml and icons.* in debian/copyright.
  * Added a note to the long description that gosmore needs additional
    data files. (Closes: #491842)
  * Dropped dependency on libgps-dev, gosmore tries to parse NMEA sentences
    on its own. (Closes: #524042)
  * Removed dpatch build-dependency and debian/patches since there are
    no patches currently.
  * Bumped policy to 3.8.2, without changes.
  * Added DM-Upload-Allowed to debian/control.
  * Removed build-dependency on flite-dev, feature has been removed.
  * Bumped debhelper compatibility level to 7. 

 -- Andreas Putzo <andreas@putzo.net>  Wed, 24 Jun 2009 20:32:38 +0000

gosmore (0.0.0.20080704-1) unstable; urgency=low

  [ Andreas Putzo ]
  * New upstream snapshot fetched from svn, revision 8034.
    (Closes: #487711, #479985)
  * Backported patch 10-findresources to search for files.
    not only in the current directory.
  * Adapt CFLAGS in debian/rules.
  * Added gosmore.install file.
  * Bumped Standards-Version to 3.8.0. 
  * Added myself to Uploaders.
  * Added missing build dependency on libxml2-dev.

  [ Petter Reinholdtsen ]
  * Add josm as suggests.
  * Add get-orig-source target to the rules file.

 -- Andreas Putzo <andreas@putzo.net>  Sat, 05 Jul 2008 13:36:39 +0000

gosmore (0.0.0.20070901-3) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Debhelper compatibility level bumped to 5.
  * Policy bumped to 3.7.3 without changes.
  * Added Vcs-* fields into debian/control.
  * Added Homepage field in debian/control.

  [ Petter Reinholdtsen ]
  * Add Francesco Paolo Lovergine as uploader.
  * Acknowledge NMU (Closes: #454519, #456843)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2008 13:10:26 +0100

gosmore (0.0.0.20070901-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches:
    - Removing 10_bad_gpsd_header.dpatch as the package FTBFS whith the
      applied patch, which was a workaround for a bug in libgps-dev.
      (Closes: #454519, #456843)
  * debian/control:
    - Changing the libgps-dev build dependency to require a version
      >= 2.34.dfsg-5 as the package will FTBFS with lower versions.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 18 Dec 2007 23:54:29 +0100

gosmore (0.0.0.20070901-2) unstable; urgency=low

  * Change build-depend on gpsd to libgps-dev (>= 2.34.dfsg-3) | gpsd
    (<< 2.34.dfsg-1) to work with the new gpsd package while still
    allowing backports. (Closes: #447168)
  * Building with new gpsd will avoid duplicate dependency. (Closes:
    #440383)
  * New patch 10_bad_gpsd_header.dpatch to make sure the defines
    required by gps.h is set during compilation.  Add dpatch as
    build-depend to get the patch applied.

 -- Petter Reinholdtsen <pere@debian.org>  Thu,  1 Nov 2007 11:26:55 +0100

gosmore (0.0.0.20070901-1) unstable; urgency=low

  * New upstream version.
    - Fix buffer overflow in route finding code. (Closes: #439732)
  * Change priority from important to optional.  The important
    priority was the result of a cut-n-paste error. (Closes: #439607)

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  1 Sep 2007 13:01:38 +0200

gosmore (0.0.0.20070819-1) unstable; urgency=low

  * Initial Release. (Closes: #436039)
  * Added menu entry based on the one in qgis.  Change menu section
    from Apps/Science to Applications/Science/Geoscience, to match
    new menu proposal.
  * Make the Debian GIS group the maintainer, and myself an uploader.


=== debian/control ===
Source: gosmore
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>> 8), cdbs, libgtk2.0-dev, libxml2-dev, libcurl4-gnutls-dev
Standards-Version: 3.9.2
Homepage: http://wiki.openstreetmap.org/index.php/Gosmore
Vcs-Browser: http://git.debian.org/?p=pkg-grass/gosmore.git
Vcs-Git: git://git.debian.org/git/pkg-grass/gosmore.git

Package: gosmore
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gpsd
Suggests: josm
Description: Openstreetmap.org viewer / wayfinder / search client
 Gosmore is a openstreetmap.org viewer and wayfinder with support for
 speech syntesis and fetching the current location from gpsd.
 .
 This package requires additional data files which can be downloaded
 freely from openstreetmap.org.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
DESTDIR := $(CURDIR)/debian/gosmore
DEB_MAKE_INSTALL_TARGET := DESTDIR=$(DESTDIR) prefix=/usr install

CFLAGS := -DRES_DIR='\"/usr/share/gosmore/\"'

SVNREPO := http://svn.openstreetmap.org/applications/rendering/gosmore
SVNREV := 22284
DATE := $(shell date +%Y%m%d)

get-orig-source:
	dh_testdir
	test -d ../tarballs/. || mkdir -p ../tarballs
	@echo Downloading gosmore from ${SVNREPO}
	svn -r $(SVNREV) --ignore-externals export ${SVNREPO} ../tarballs/gosmore-0.0.0.${DATE}
	@echo Removing debian dir
	rm -rf ../tarballs/gosmore-0.0.0.${DATE}/debian
	@echo Building snapshot tarball
	tar czf ../tarballs/gosmore_0.0.0.${DATE}.orig.tar.gz -C ../tarballs gosmore-0.0.0.${DATE}
	@echo Cleaning up
	rm -rf ../tarballs/gosmore-0.0.0.${DATE}
	@echo .
	@echo To update debian/changelog type
	@echo dch -v 0.0.0.${DATE}-1
	@echo .

## gosmore 0.0.0.svn30327

=== debian/changelog ===
gosmore (0.0.0.svn30327-1) unstable; urgency=medium

  * Team upload.

  [ Ross Gammon ]
  * New upstream SVN snapshot
  * Move to debhelper compat level 9
  * Refresh patches
  * Update control file using cme fix
  * Switch to debhelper from cdbs
  * Drop redundant gosmore.dirs file
  * Redo copyright file in copyright-format 1.0
  * Add a gbp.conf file
  * Add upstream metadata
  * Add myself to uploaders
  * Unapply patches from source
  * Acknowledge NMU from Kai Lüke
  * Reorder library parameters in Makefile
    Thanks to Sebastian Carneiro (Closes: #631251)
  * Fix spelling mistake in package description
    Thanks to Reuben Thomas (Closes: #639224)

  [ Bas Couwenberg ]
  * Enable parallel builds.
  * Update Vcs-Git URL to use HTTPS.
  * Enable all hardening buildflags.
  * Add patch to fix desktop file issues.
  * Install application icons in hicolor theme.
  * Use desktop file in favor of menu file per CTTE #741573.
  * Update copyright file, changes:
    - Switch license for project from public-domain to BSD-2-Clause
    - Update copyright years for Nic Roets
    - Update Files section for ConvertUTF files moved to jni directory
    - Use standalone license paragraphs
  * Drop curl_types.h patch, fixed upstream. Refresh remaining patches.
  * Update openstreetmap.org URLs to use HTTPS.
  * Bump Standards-Version to 3.9.8, changes:
    - copyright-format 1.0
    - Vcs-* URLs
    - hicolor icons
  * Add path by Alexander to fix FTBFS with clang instead of gcc.
    (closes: #756077)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 May 2016 13:32:30 +0200

=== debian/control ===
Source: gosmore
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Ross Gammon <rossgammon@mail.dk>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               libgtk2.0-dev,
               libxml2-dev,
               libcurl4-gnutls-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gosmore.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gosmore.git
Homepage: https://wiki.openstreetmap.org/wiki/Gosmore

Package: gosmore
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gpsd
Suggests: josm
Description: Openstreetmap.org viewer / wayfinder / search client
 Gosmore is a openstreetmap.org viewer and wayfinder with support for
 speech synthesis and fetching the current location from gpsd.
 .
 This package requires additional data files which can be downloaded
 freely from openstreetmap.org.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

#DESTDIR := $(CURDIR)/debian/gosmore
#DEB_MAKE_INSTALL_TARGET := DESTDIR=$(DESTDIR) prefix=/usr install

#CFLAGS := -DRES_DIR='\"/usr/share/gosmore/\"'

SVNREPO := https://svn.openstreetmap.org/applications/rendering/gosmore
SVNREV := 30327

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install

	chmod -x debian/*/usr/share/gosmore/*.wav \
	         debian/*/usr/share/pixmaps/*.xpm

get-orig-source:
	dh_testdir
	test -d ../tarballs/. || mkdir -p ../tarballs
	@echo Downloading gosmore from ${SVNREPO}
	svn -r $(SVNREV) --ignore-externals export ${SVNREPO} ../tarballs/gosmore-0.0.0.svn${SVNREV}
	@echo Removing debian dir
	rm -rf ../tarballs/gosmore-0.0.0.svn${SVNREV}/debian
	@echo Building snapshot tarball
	tar czf ../tarballs/gosmore_0.0.0.svn${SVNREV}.orig.tar.gz -C ../tarballs gosmore-0.0.0.svn${SVNREV}
	@echo Cleaning up
	rm -rf ../tarballs/gosmore-0.0.0.svn${SVNREV}
	@echo .
	@echo To update debian/changelog type
	@echo dch -v 0.0.0.svn${SVNREV}-1
	@echo .
